searchNodes=[{"doc":"Provides meta-data for BEAM languages. Currently Elixir and Erlang/OTP are supported. The information in this module is regularly updated, and stored with every new release of this library. This library does not download information neither at compile time nor at real time.","ref":"BeamLangsMetaData.html","title":"BeamLangsMetaData","type":"module"},{"doc":"Returns a compatibilty table between Elixir and Erlang/OTP, and viceversa. The information provided is based on the page Compatibility between Elixir and Erlang/OTP . Examples &gt; BeamLangsMetaData . compatibility ( { :elixir , :otp } ) %{ &quot;1.0&quot; =&gt; [ 17 ] , &quot;1.0.5&quot; =&gt; [ 17 , 18 ] , &quot;1.1&quot; =&gt; [ 17 , 18 ] , &quot;1.10&quot; =&gt; [ 21 , 22 ] , &quot;1.10.3&quot; =&gt; [ 21 , 22 , 23 ] , &quot;1.11&quot; =&gt; [ 21 , 22 , 23 ] , &quot;1.11.4&quot; =&gt; [ 21 , 22 , 23 , 24 ] , &quot;1.12&quot; =&gt; [ 22 , 23 , 24 ] , &quot;1.13&quot; =&gt; [ 22 , 23 , 24 ] , ... } &gt; BeamLangsMetaData . compatibility ( { :elixir , :otp } ) %{ 17 =&gt; [ &quot;1.0&quot; , &quot;1.1&quot; ] , 18 =&gt; [ &quot;1.0.5&quot; , &quot;1.1&quot; , &quot;1.2&quot; , &quot;1.3&quot; , &quot;1.4&quot; , &quot;1.5&quot; ] , 19 =&gt; [ &quot;1.2.6&quot; , &quot;1.3&quot; , &quot;1.4&quot; , &quot;1.5&quot; , &quot;1.6&quot; , &quot;1.7&quot; ] , 20 =&gt; [ &quot;1.4.5&quot; , &quot;1.5&quot; , &quot;1.6&quot; , &quot;1.7&quot; , &quot;1.8&quot; , &quot;1.9&quot; ] , 21 =&gt; [ &quot;1.10&quot; , &quot;1.11&quot; , &quot;1.6&quot; , &quot;1.7&quot; , &quot;1.8&quot; , &quot;1.9&quot; ] , 22 =&gt; [ &quot;1.10&quot; , &quot;1.11&quot; , &quot;1.12&quot; , &quot;1.13&quot; , &quot;1.7&quot; , &quot;1.8&quot; , &quot;1.9&quot; ] , 23 =&gt; [ &quot;1.10.3&quot; , &quot;1.11&quot; , &quot;1.12&quot; , &quot;1.13&quot; ] , 24 =&gt; [ &quot;1.11.4&quot; , &quot;1.12&quot; , &quot;1.13&quot; ] }","ref":"BeamLangsMetaData.html#compatibility/1","title":"BeamLangsMetaData.compatibility/1","type":"function"},{"doc":"Returns Elixir releases data, including final and pre-releases. The data is a stripped down version of the Elixir releases JSON files from GitHub, decoded into a list of maps. NOTE: The information that gets updated in real time is removed such as number of downloads and reactions. Currently &quot;updated_at&quot; is also removed, but it will be included when a mechanism to check for udpated in any part of the JSON files is implemented. As of now, only the new entries are added to this functions, so if there is any correction in a previously entered entry it will not be updated. The sources of this data can be found https://api.github.com/repositories/1234714/releases?page=1 . Examples &gt; BeamLangsMetaData . elixir_releases ( ) [ &quot;1.13&quot; : %{ latest : &quot;1.13.0&quot; , releases : [ &quot;1.13.0&quot; : %{ assets : [ %{ content_type : &quot;application/zip&quot; , created_at : &quot;2021-12-03T18:25:36Z&quot; , download_url : &quot;https://github.com/elixir-lang/elixir/releases/download/v1.13.0/Precompiled.zip&quot; , id : 50_943_934 , label : nil , name : &quot;Precompiled.zip&quot; , node_id : &quot;RA_kwDOABLXGs4DCVe-&quot; , size : 6_230_020 , state : &quot;uploaded&quot; , url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/assets/50943934&quot; } , %{ content_type : ... , created_at : ... , download_url : ... , id : ... , label : ... , name : ... , node_id : ... , size : ... , state : ... , url : ... } ] , assets_url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/54599470&quot; , body : &quot;Announcement: https://elixir-lang.org/blog/2021/12/03/elixir-v1-13-0-released/ \\r \\n \\r \\n &quot; &lt;&gt; ... , created_at : &quot;2021-12-03T18:03:54Z&quot; , draft : false , id : 54_599_470 , name : &quot;1.13.0&quot; , node_id : &quot;RE_kwDOABLXGs4DQR8u&quot; , prerelease : false , published_at : &quot;2021-12-03T18:25:51Z&quot; , release_url : &quot;https://github.com/elixir-lang/elixir/releases/tag/v1.13.0&quot; , tag_name : &quot;v1.13.0&quot; , tarball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/tarball/v1.13.0&quot; , target_commitish : &quot;main&quot; , upload_url : &quot;https://uploads.github.com/repos/elixir-lang/elixir/releases/54599470/assets{?name,label}&quot; , url : &quot;https://api.github.com/repos/elixir-lang/elixir/releases/54599470&quot; , zipball_url : &quot;https://api.github.com/repos/elixir-lang/elixir/zipball/v1.13.0&quot; } , &quot;1.13.0-rc.1&quot; : %{ assets : [ %{ ... } , %{ ... } , ] , assets_url : ... , body : ... , created_at : ... , draft : ... , id : ... , name : ... , node_id : ... , prerelease : ... , published_at : ... , release_url : ... , tag_name : ... , tarball_url : ... , target_commitish : ... , upload_url : ... , url : ... , zipball_url : ... } , &quot;1.13.0-rc.0&quot; : %{ ... } ] } , &quot;1.12&quot; : %{ latest : &quot;1.12.3&quot; , releases : [ &quot;1.12.3&quot; : %{ assets : [ %{ ... } , %{ ... } ] , assets_url : ... , body : ... , created_at : ... , draft : ... , id : ... , name : ... , node_id : ... , prerelease : ... , published_at : ... , release_url : ... , tag_name : ... , tarball_url : ... , target_commitish : ... , upload_url : ... , url : ... , zipball_url : ... } , &quot;1.12.2&quot; : %{ ... } , &quot;1.12.1&quot; : %{ ... } , &quot;1.12.0&quot; : %{ ... } , &quot;1.12.0-rc.1&quot; : %{ ... } , &quot;1.12.0-rc.0&quot; : %{ ... } , ] } , &quot;1.11&quot; : %{ latest : &quot;1.11.4&quot; , releases : [ ... ] , } , ... , &quot;1.0&quot; : %{ latest : &quot;1.0.5&quot; , releases : [ ... ] , } ]","ref":"BeamLangsMetaData.html#elixir_releases/0","title":"BeamLangsMetaData.elixir_releases/0","type":"function"},{"doc":"Returns Erlang/OTP releases data, including final and pre-releases. Examples &gt; BeamLangsMetaData . otp_releases ( ) [ &quot;24&quot; : %{ latest : &quot;24.2.1&quot; , releases : [ &quot;24.2.1&quot; : %{ assets : [ %{ content_type : &quot;text/plain&quot; , created_at : &quot;2022-01-25T17:22:17Z&quot; , download_url : &quot;https://github.com/erlang/otp/releases/download/OTP-24.2.1/SHA256.txt&quot; , id : 54_929_204 , label : &quot;&quot; , name : &quot;SHA256.txt&quot; , node_id : &quot;RA_kwDOAAW4j84DRic0&quot; , size : 347 , state : &quot;uploaded&quot; , url : &quot;https://api.github.com/repos/erlang/otp/releases/assets/54929204&quot; } , %{ content_type : &quot;application/x-msdownload&quot; , created_at : ... , download_url : &quot;https://github.com/erlang/otp/releases/download/OTP-24.2.1/otp_win64_24.2.1.exe&quot; , id : ... , label : &quot;&quot; , name : &quot;otp_win64_24.2.1.exe&quot; , node_id : ... , size : ... , state : ... , url : ... } , ... ] , assets_url : &quot;https://api.github.com/repos/erlang/otp/releases/57941240&quot; , body : &quot;``` \\n Patch Package: OTP 24.2.1 \\n Git Tag:&quot; &lt;&gt; ... , created_at : &quot;2022-01-22T08:41:48Z&quot; , draft : false , id : 57_941_240 , name : &quot;24.2.1&quot; , node_id : &quot;RE_kwDOAAW4j84DdBz4&quot; , prerelease : false , published_at : &quot;2022-01-25T17:12:12Z&quot; , release_url : &quot;https://github.com/erlang/otp/releases/tag/OTP-24.2.1&quot; , tag_name : &quot;OTP-24.2.1&quot; , tarball_url : &quot;https://api.github.com/repos/erlang/otp/tarball/OTP-24.2.1&quot; , target_commitish : &quot;master&quot; , upload_url : &quot;https://uploads.github.com/repos/erlang/otp/releases/57941240/assets{?name,label}&quot; , url : &quot;https://api.github.com/repos/erlang/otp/releases/57941240&quot; , zipball_url : &quot;https://api.github.com/repos/erlang/otp/zipball/OTP-24.2.1&quot; } , &quot;24.2&quot; : %{ assets : [ %{ ... } , ... ] , assets_url : ... , body : ... , created_at : ... , draft : ... , id : ... , name : ... , node_id : ... , prerelease : ... , published_at : ... , release_url : ... , tag_name : ... , tarball_url : ... , target_commitish : ... , upload_url : ... , url : ... , zipball_url : ... } , &quot;24.1.7&quot; : %{ ... } , &quot;24.1.6&quot; : %{ ... } , ... , &quot;24.0&quot; : %{ ... } , &quot;24.0-rc3&quot; : %{ ... } , ... ] } , &quot;23&quot; : %{ latest : &quot;23.3.4&quot; , releases : [ ... ] } , ... ]","ref":"BeamLangsMetaData.html#otp_releases/0","title":"BeamLangsMetaData.otp_releases/0","type":"function"},{"doc":"A pair between two projects, used in compatibility/1 . For example: {:elixir, :otp} represents the compatibility between the Elixir and the OTP/Erlang versions.","ref":"BeamLangsMetaData.html#t:compatibility_pair/0","title":"BeamLangsMetaData.compatibility_pair/0","type":"type"},{"doc":"Elixir release data. This data is extracted from Github JSON release file and is stripped down and slightly modified.","ref":"BeamLangsMetaData.html#t:elixir_release_data/0","title":"BeamLangsMetaData.elixir_release_data/0","type":"type"},{"doc":"A string that represents an Elixir version. It does not necessarily need to be a full version, it could be &quot;MAJOR.MINOR&quot; or &quot;MAJOR.MINOR.PATCH&quot; , for example: &quot;1.2&quot; or &quot;1.2.3&quot; .","ref":"BeamLangsMetaData.html#t:elixir_version_key/0","title":"BeamLangsMetaData.elixir_version_key/0","type":"type"},{"doc":"A file name For example: &quot;Docs.zip&quot; .","ref":"BeamLangsMetaData.html#t:file_name/0","title":"BeamLangsMetaData.file_name/0","type":"type"},{"doc":"A Git tag or a branch name. For example: &quot;v1.13&quot; or &quot;OTP-24.0-rc3&quot; .","ref":"BeamLangsMetaData.html#t:git_tag/0","title":"BeamLangsMetaData.git_tag/0","type":"type"},{"doc":"A non-empty keyword list.","ref":"BeamLangsMetaData.html#t:nonempty_keyword/2","title":"BeamLangsMetaData.nonempty_keyword/2","type":"type"},{"doc":"","ref":"BeamLangsMetaData.html#t:otp_download_key/0","title":"BeamLangsMetaData.otp_download_key/0","type":"type"},{"doc":"Erlang/OTP release data.","ref":"BeamLangsMetaData.html#t:otp_release_data/0","title":"BeamLangsMetaData.otp_release_data/0","type":"type"},{"doc":"A string representation of an Erlang/OTP version. For example: &quot;23.1.4.1&quot;","ref":"BeamLangsMetaData.html#t:otp_version/0","title":"BeamLangsMetaData.otp_version/0","type":"type"},{"doc":"An integer that represents a major Erlang/OTP version. For example: 24 .","ref":"BeamLangsMetaData.html#t:otp_version_key/0","title":"BeamLangsMetaData.otp_version_key/0","type":"type"},{"doc":"Elixir release data asset. This data is extracted from Github JSON release file and is stripped down and slightly modified.","ref":"BeamLangsMetaData.html#t:release_data_asset/0","title":"BeamLangsMetaData.release_data_asset/0","type":"type"},{"doc":"A string that represents an iso8601 timestamp. For example: &quot;2021-11-22T09:04:55Z&quot; .","ref":"BeamLangsMetaData.html#t:timestamp_string/0","title":"BeamLangsMetaData.timestamp_string/0","type":"type"},{"doc":"A string that represents a URL. For example: &quot;https://elixir-lang.org/&quot; .","ref":"BeamLangsMetaData.html#t:url/0","title":"BeamLangsMetaData.url/0","type":"type"},{"doc":"A string that represents an Semver version. For example: &quot;1.2.3-rc.4&quot; .","ref":"BeamLangsMetaData.html#t:version_string/0","title":"BeamLangsMetaData.version_string/0","type":"type"},{"doc":"Helper functions","ref":"BeamLangsMetaData.Helper.html","title":"BeamLangsMetaData.Helper","type":"module"},{"doc":"Converts a fully or non-fully qualified string or an integer to a version struct.","ref":"BeamLangsMetaData.Helper.html#to_version!/1","title":"BeamLangsMetaData.Helper.to_version!/1","type":"function"},{"doc":"Provides meta-data for BEAM languages in JSON format. So far the only two supported languages are Elixir and Erlang/OTP. The data provided by this module in a string of the JSON files. For the same data represented in Elixir data stuctures check the BeamLangsMetaData module. The information in this module is regularly updated, and stored with every new release of this library. This library does not download information neither at compile time nor at real time.","ref":"BeamLangsMetaData.Json.html","title":"BeamLangsMetaData.Json","type":"module"},{"doc":"Returns a JSON string containing the compatibilty table between Elixir and Erlang/OTP. See the documentation for BeamLangsMetaData.compatibility/1 for more information. Examples &gt; BeamLangsMetaData.Json . compatibility_elixir_otp ( ) &quot;{ \\n \\&quot; 1.0 \\&quot; : [17], \\n \\&quot; 1.0.5 \\&quot; : [17, 18],&quot; &lt;&gt; ...","ref":"BeamLangsMetaData.Json.html#compatibility_elixir_otp/0","title":"BeamLangsMetaData.Json.compatibility_elixir_otp/0","type":"function"},{"doc":"Returns a JSON string containing the Elixir releases data. See the documentation for BeamLangsMetaData.elixir_releases/0 for more information. Examples &gt; BeamLangsMetaData.Json . elixir_releases ( ) &quot;[ \\n { \\n \\&quot; url \\&quot; : \\&quot; https://api.github.com/repos/elixir-lang/&quot; &lt;&gt; ...","ref":"BeamLangsMetaData.Json.html#elixir_releases/0","title":"BeamLangsMetaData.Json.elixir_releases/0","type":"function"},{"doc":"Returns a JSON string containing the Erlang/OTP releases. See the documentation for BeamLangsMetaData.otp_releases/0 for more information. Examples &gt; BeamLangsMetaData.Json . otp_releases ( ) &quot;[ \\n { \\n \\&quot; latest \\&quot; : { \\n \\&quot; readme \\&quot; : &quot; &lt;&gt; ...","ref":"BeamLangsMetaData.Json.html#otp_releases/0","title":"BeamLangsMetaData.Json.otp_releases/0","type":"function"},{"doc":"","ref":"BeamLangsMetaData.Json.html#t:json/0","title":"BeamLangsMetaData.Json.json/0","type":"type"},{"doc":"Provides meta-data for Elixir and Erlang/OTP. The information in this module is regularly updated, and stored with every new release of this library. This library does not download information neither at compile time nor at real time. This library is aimed at Elixir developers who need to access up-to-date information. If you are a developer and need more refined information, please have a look at its sister library ElixirMeta .","ref":"readme.html","title":"Readme","type":"extras"},{"doc":"This source code is freely available at https://github.com/eksperimental/beam_langs_meta_data Packages are regularly updated. All published packages can be found on Hex: https://hex.pm/packages/beam_langs_meta_data","ref":"readme.html#repository-and-packages","title":"Readme - Repository and Packages","type":"extras"},{"doc":"The package can be installed by adding beam_langs_meta_data to your list of dependencies in mix.exs : def deps do [ { :beam_langs_meta_data , &quot;~&gt; 0.1.0&quot; } , ] end","ref":"readme.html#installation","title":"Readme - Installation","type":"extras"},{"doc":"Online documentation can be found at https://hexdocs.pm/beam_langs_meta_data","ref":"readme.html#documentation","title":"Readme - Documentation","type":"extras"},{"doc":"Feel free to open up an issue https://github.com/eksperimental/beam_langs_meta_data/issues with your request.","ref":"readme.html#feature-requests","title":"Readme - Feature Requests","type":"extras"},{"doc":"Install the repository locally. You can run the validations by running: mix validate which is an alias for: mix format --check-formatted mix deps.unlock --check-unused mix compile --warnings-as-errors mix dialyzer mix docs mix credo Run tests by executing: mix test","ref":"readme.html#development","title":"Readme - Development","type":"extras"},{"doc":"Soon, this information will automatically be updated and released as a new package version as soon as a new Elixir version is released. I am planning to include the information for all Erlang/OTP releases. Currently once a new entry is added, it is not checked whether this entry has been udpated. I am planning to check for this as well.","ref":"readme.html#future-plans","title":"Readme - Future Plans","type":"extras"},{"doc":"Eksperimental &lt;eskperimental (at) autistici (dot) org&gt;","ref":"readme.html#contact","title":"Readme - Contact","type":"extras"},{"doc":"No Copyright This work is released to the Public Domain and multi-licensed under the Creative Commons Zero Universal version 1.0 license , the MIT No Attribution license , and the BSD Zero Clause license . You can choose between one of them if you use this work. The author, Eksperimental has dedicated the work to the public domain by waiving all copyright and related or neighboring rights to this work worldwide under copyright law including all related and neighboring rights, to the extent allowed by law. You can copy, modify, distribute and create derivative work, even for commercial purposes, all without asking permission. Giving credits is appreciated though; you may link to this repository if you wish. Check the LICENSES/LICENSE.CC0-1.0.txt , LICENSES/LICENSE.MIT-0.txt , LICENSES/LICENSE.0BSD.txt files for more information. SPDX-License-Identifier: CC0-1.0 or MIT-0 or 0BSD","ref":"readme.html#license","title":"Readme - License","type":"extras"},{"doc":"Creative Commons Legal Code CC0 1.0 Universal CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER. Statement of Purpose The laws of most jurisdictions throughout the world automatically confer exclusive Copyright and Related Rights (defined below) upon the creator and subsequent owner(s) (each and all, an &quot;owner&quot;) of an original work of authorship and/or a database (each, a &quot;Work&quot;). Certain owners wish to permanently relinquish those rights to a Work for the purpose of contributing to a commons of creative, cultural and scientific works (&quot;Commons&quot;) that the public can reliably and without fear of later claims of infringement build upon, modify, incorporate in other works, reuse and redistribute as freely as possible in any form whatsoever and for any purposes, including without limitation commercial purposes. These owners may contribute to the Commons to promote the ideal of a free culture and the further production of creative, cultural and scientific works, or to gain reputation or greater distribution for their Work in part through the use and efforts of others. For these and/or other purposes and motivations, and without any expectation of additional consideration or compensation, the person associating CC0 with a Work (the &quot;Affirmer&quot;), to the extent that he or she is an owner of Copyright and Related Rights in the Work, voluntarily elects to apply CC0 to the Work and publicly distribute the Work under its terms, with knowledge of his or her Copyright and Related Rights in the Work and the meaning and intended legal effect of CC0 on those rights. 1. Copyright and Related Rights. A Work made available under CC0 may be protected by copyright and related or neighboring rights (&quot;Copyright and Related Rights&quot;). Copyright and Related Rights include, but are not limited to, the following: i. the right to reproduce, adapt, distribute, perform, display, communicate, and translate a Work; ii. moral rights retained by the original author(s) and/or performer(s); iii. publicity and privacy rights pertaining to a person's image or likeness depicted in a Work; iv. rights protecting against unfair competition in regards to a Work, subject to the limitations in paragraph 4(a), below; v. rights protecting the extraction, dissemination, use and reuse of data in a Work; vi. database rights (such as those arising under Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, and under any national implementation thereof, including any amended or successor version of such directive); and vii. other similar, equivalent or corresponding rights throughout the world based on applicable law or treaty, and any national implementations thereof. 2. Waiver. To the greatest extent permitted by, but not in contravention of, applicable law, Affirmer hereby overtly, fully, permanently, irrevocably and unconditionally waives, abandons, and surrenders all of Affirmer's Copyright and Related Rights and associated claims and causes of action, whether now known or unknown (including existing as well as future claims and causes of action), in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the &quot;Waiver&quot;). Affirmer makes the Waiver for the benefit of each member of the public at large and to the detriment of Affirmer's heirs and successors, fully intending that such Waiver shall not be subject to revocation, rescission, cancellation, termination, or any other legal or equitable action to disrupt the quiet enjoyment of the Work by the public as contemplated by Affirmer's express Statement of Purpose. 3. Public License Fallback. Should any part of the Waiver for any reason be judged legally invalid or ineffective under applicable law, then the Waiver shall be preserved to the maximum extent permitted taking into account Affirmer's express Statement of Purpose. In addition, to the extent the Waiver is so judged Affirmer hereby grants to each affected person a royalty-free, non transferable, non sublicensable, non exclusive, irrevocable and unconditional license to exercise Affirmer's Copyright and Related Rights in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the &quot;License&quot;). The License shall be deemed effective as of the date CC0 was applied by Affirmer to the Work. Should any part of the License for any reason be judged legally invalid or ineffective under applicable law, such partial invalidity or ineffectiveness shall not invalidate the remainder of the License, and in such case Affirmer hereby affirms that he or she will not (i) exercise any of his or her remaining Copyright and Related Rights in the Work or (ii) assert any associated claims and causes of action with respect to the Work, in either case contrary to Affirmer's express Statement of Purpose. 4. Limitations and Disclaimers. a. No trademark or patent rights held by Affirmer are waived, abandoned, surrendered, licensed or otherwise affected by this document. b. Affirmer offers the Work as-is and makes no representations or warranties of any kind concerning the Work, express, implied, statutory or otherwise, including without limitation warranties of title, merchantability, fitness for a particular purpose, non infringement, or the absence of latent or other defects, accuracy, or the present or absence of errors, whether or not discoverable, all to the greatest extent permissible under applicable law. c. Affirmer disclaims responsibility for clearing rights of other persons that may apply to the Work or any use thereof, including without limitation any person's Copyright and Related Rights in the Work. Further, Affirmer disclaims responsibility for obtaining any necessary consents, permissions or other rights required for any use of the Work. d. Affirmer understands and acknowledges that Creative Commons is not a party to this document and has no duty or obligation with respect to this CC0 or use of the Work.","ref":"license_CC0-1.0.html","title":"Creative Commons Zero Universal version 1.0 License","type":"extras"},{"doc":"MIT No Attribution Copyright 2022 Eksperimental &lt;https://github.com/eksperimental&gt; Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license_MIT-0.html","title":"MIT No Attribution License","type":"extras"},{"doc":"The BSD Zero Clause License (0BSD) Copyright (c) 2022 Eksperimental &lt;https://github.com/eksperimental&gt; Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted. THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.","ref":"license_0BSD.html","title":"BSD Zero Clause License","type":"extras"}]